API Libraries

We’ve make some pre-built libraries for interacting with Quaderno. If you write your own library and would like us to link to it, just  let us know.

Ruby

Available as a gem:

sudo gem install quaderno

If you use bundler, you can use this line:

gem 'quaderno', :require => 'quaderno-ruby'

Check out the source on  GitHub.

PHP

The PHP library is installed via  Composer. Simply add “quaderno/quaderno” to your composer.json file:

{"require":{"quaderno/quaderno":"1.*"}}

Check out the source on  GitHub.

Swift

Add Quaderno to your Podfile if you are using CocoaPods:

pod "Quaderno", "~> 0.0.1"

Otherwise just drag the  .swift source files under the Source directory into your project.

Embedded frameworks require a minimum deployment target of iOS 8.

To use Quaderno with application targets that do not support embedded frameworks, such as iOS 7, you must include all source files directly in your project.

Check out the source on  GitHub. This library has been originally developed by Eliezer Talón.

Community libraries

There are a lot of developer working with Quaderno. If you know some libraries that can help the community, please let us know.

Plugins for third-party services

Want to make an existing tool better with Quaderno? Here are some plugins to help you get started without any programming needed.

Implemented your own library or an example you’d like to share?  Send a link to your code and we’ll be happy to add it to the list!

Still need help? Contact Us Contact Us